Loading...
Searching...
No Matches
validators.hpp File Reference

Provides various validator. More...

`#include <sharg/parser.hpp>`
`#include <seqan3/io/sequence_file/input.hpp>`
`#include <raptor/strong_types.hpp>`

Go to the source code of this file.

## Classes

class | raptor::bin_validator
class | raptor::output_directory_validator
class | raptor::output_file_validator
class | raptor::positive_integer_validator
struct | raptor::power_of_two_validator
class | raptor::sequence_file_validator
class | raptor::size_validator

## Detailed Description

Provides various validator.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>